/*
 * io.h - Input/Output
 *
 * Written 2002 by Werner Almesberger, Caltech Netlab FAST project
 */

#ifndef IO_H
#define IO_H

void data_open(const char *name); /* NULL for stdin */
const void *data_read(int size);
const void *data_read_n(int size); /* return NULL if we can't read n bytes */
void data_skip(int size);
int data_eof(void);
void data_return(const void *data,int size);
void data_free(const void *data);

#endif /* IO_H */
